petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatCoarsenCreate

Creates a coarsen context.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatCoarsenCreate(MPI_Comm comm, MatCoarsen *newcrs)

Collective on MPI_Comm Many br

### Input Parameter

comm -MPI communicator Many br

### Output Parameter

newcrs -location to put the context Many br

Many br

### Keywords

Coarsen, create, context

### See Also

MatCoarsenSetType(), MatCoarsenApply(), MatCoarsenDestroy(),
MatCoarsenSetAdjacency() Many br

Level:beginner
Location:src/mat/coarsen/coarsen.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages